<?php
// Включаем вывод ошибок на экран
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
// Подключение к базе данных (замените на свои данные)
$servername = "localhost";
$username = "k123263_sender_u";
$password = "84ms232e96aothgvw1";
$dbname = "k123263_sender";

// Создание соединения с базой данных
$conn = new mysqli($servername, $username, $password, $dbname);

// Проверка соединения
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Получение email_id из GET-параметров
$email_id = $_GET['email_id'];

// Обновление статуса подписчика в базе данных
$sql = "UPDATE subscribers SET subscribed = 0 WHERE id = '$email_id'";

if ($conn->query($sql) === TRUE) {
    // Перенаправление пользователя на главную страницу сайта
    header("Location: https://recycling-solution.es/unsubscribe");
    exit(); // Убедитесь, что после вызова header() следует exit(), чтобы прервать выполнение скрипта
} else {
    echo "Error al darse de baja de la lista de correo: " . $conn->error;
}

// Закрытие соединения с базой данных
$conn->close();
?>
